org.richfaces.ui.menu.dropDownMenu

## Class DropDownMenuRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.ui.menu.dropDownMenu.DropDownMenuRendererBase
      - - org.richfaces.ui.menu.dropDownMenu.DropDownMenuRenderer

-     public class DropDownMenuRenderer
      extends DropDownMenuRendererBase

- - ### Field Summary

    - ### Fields inherited from class org.richfaces.ui.menu.dropDownMenu.DropDownMenuRendererBase

      `DEFAULT_MIN_POPUP_WIDTH, DEFAULT_SHOWEVENT, RENDERER_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DropDownMenuRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doEncodeEnd(javax.faces.context.ResponseWriter responseWriter, javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)` Template method for custom finish encoding of concrete renderer.
    `boolean` | `getRendersChildren()`

    - ### Methods inherited from class org.richfaces.ui.menu.dropDownMenu.DropDownMenuRendererBase

      `getDirection, getJointPoint, getLabelFacet, getMenuGroups, getMode, getPopupWidth, getShowEvent, isDisabled, renderChildren`

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, doDecode, doEncodeBegin, doEncodeChildren, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResourcePath, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DropDownMenuRenderer

          public DropDownMenuRenderer()

  - ### Method Detail

    - #### doEncodeEnd

          public void doEncodeEnd(javax.faces.context.ResponseWriter responseWriter,
                         javax.faces.context.FacesContext facesContext,
                         javax.faces.component.UIComponent component)
                           throws IOException

      Description copied from class: `RendererBase`
      Template method for custom finish encoding of concrete renderer. All parameters checking and writer is performed in original `encodeEnd` method.
      Overrides:
        `doEncodeEnd` in class `RendererBase`
      Throws:
        `IOException`

    - #### getRendersChildren

          public boolean getRendersChildren()

      Overrides:
        `getRendersChildren` in class `javax.faces.render.Renderer`

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.